Name:          python-CairoSVG
Version:       2.6.0
Release:       1mamba
Summary:       A Simple SVG Converter for Cairo
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/CairoSVG/
Source:        https://pypi.debian.net/CairoSVG/CairoSVG-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
BuildRequires: python3.7dist(cairocffi)
BuildRequires: python3.7dist(cssselect2)
BuildRequires: python3.7dist(defusedxml)
BuildRequires: python3.7dist(pillow)
BuildRequires: python3.7dist(setuptools)
BuildRequires: python3.7dist(tinycss2)
## AUTOBUILDREQ-END

%description
%{summary}.

%if "%{?with_pyver}"
%pyver_package
%endif

%prep
%setup -q -n CairoSVG-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/CairoSVG-%{version}-py*.egg-info
%{python_sitearch}/CairoSVG-%{version}-py*.egg-info/*

%changelog
* Fri Jan 13 2023 Automatic Build System <autodist@mambasoft.it> 2.6.0-1mamba
- automatic version update by autodist

* Sat Nov 12 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.2-2mamba
- rebuilt with distdeps

* Sat Mar 20 2021 Automatic Build System <autodist@mambasoft.it> 2.5.2-1mamba
- automatic version update by autodist

* Wed Sep 09 2020 Automatic Build System <autodist@mambasoft.it> 2.4.2-1mamba
- automatic update by autodist

* Thu Aug 08 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.0-1mamba
- update to 2.4.0

* Mon Jun 22 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.9-1mamba
- package created using the webbuild interface
